<Project xmlns="http://schemas.microsoft.com/developer/msbuild/2003">

  <PropertyGroup>
    <ProjectId>JRevolt.Injection</ProjectId>
    <Product>$(ProjectId)</Product>
    <ProductName>$(ProjectId)</ProductName>
    <Description>Attribute-Driven Dependency Injection</Description>
    <PackageReleaseNotes>$(PackageReleaseNotes)</PackageReleaseNotes>
    <PackageProjectUrl>https://gitlab.com/jrevolt/dotnet/jrevolt.injection</PackageProjectUrl>
    <PackageLicenseExpression>LGPL-3.0-or-later</PackageLicenseExpression>
    <RepositoryUrl>$(PackageProjectUrl)</RepositoryUrl>
    <Authors>JRevolt;pbeno</Authors>
    <IncludeSource>true</IncludeSource>
    <IncludeSymbols>true</IncludeSymbols>
    <SymbolPackageFormat>snupkg</SymbolPackageFormat>
    <EmbedAllSources>true</EmbedAllSources>
  </PropertyGroup>

  <PropertyGroup>
    <TargetFramework/>
    <TargetFrameworks>net6.0;net5.0;netcoreapp3.1</TargetFrameworks>
    <LangVersion>9.0</LangVersion>
  </PropertyGroup>

  <PropertyGroup>
    <IsPackable>false</IsPackable>
    <WarnOnPackingNonPackableProject>false</WarnOnPackingNonPackableProject>
  </PropertyGroup>

  <PropertyGroup Label="BuildOutput">
    <SolutionDir Condition="'$(SolutionDir)' == ''">..</SolutionDir>
    <BuildDir>$(SolutionDir)/.build</BuildDir>
    <ProjectBuildDir>$(BuildDir)/$(MSBuildProjectName)</ProjectBuildDir>
    <BaseIntermediateOutputPath>$(ProjectBuildDir)/obj</BaseIntermediateOutputPath>
    <BaseOutputPath>$(ProjectBuildDir)/bin</BaseOutputPath>
  </PropertyGroup>

  <Choose>
    <When Condition="'$(MSBuildProjectName)' == 'Main'">
      <PropertyGroup>
        <AssemblyName>$(ProjectId)</AssemblyName>
      </PropertyGroup>
    </When>
    <Otherwise>
      <PropertyGroup>
        <AssemblyName>$(ProjectId).$(MSBuildProjectName)</AssemblyName>
      </PropertyGroup>
    </Otherwise>
  </Choose>

  <PropertyGroup>
    <RootNamespace>$(AssemblyName)</RootNamespace>
  </PropertyGroup>

  <ItemGroup>
    <AssemblyAttribute Include="System.Runtime.CompilerServices.InternalsVisibleTo">
      <_Parameter1>$(ProjectId).Test</_Parameter1>
    </AssemblyAttribute>
    <AssemblyAttribute Include="System.Runtime.CompilerServices.InternalsVisibleTo">
      <_Parameter1>$(ProjectId).Testing</_Parameter1>
    </AssemblyAttribute>
    <AssemblyAttribute Include="System.Runtime.CompilerServices.InternalsVisibleTo">
      <_Parameter1>DynamicProxyGenAssembly2</_Parameter1>
    </AssemblyAttribute>
  </ItemGroup>

  <PropertyGroup>
    <DefineConstants>$(DefineConstants);JETBRAINS_ANNOTATIONS</DefineConstants>
  </PropertyGroup>

  <PropertyGroup Label="SourceLink" Condition="'$(CI)' == true">
    <PublishRepositoryUrl>true</PublishRepositoryUrl>
    <EmbedUntrackedSources>true</EmbedUntrackedSources>
    <IncludeSymbols>true</IncludeSymbols>
  </PropertyGroup>

  <ItemGroup Label="SourceLink" Condition="'$(CI)' == true">
    <PackageReference Include="Microsoft.SourceLink.GitLab" Version="1.0.0" PrivateAssets="All"/>
  </ItemGroup>

</Project>
